精华内容
下载资源
问答
  • Ubuntu18.04 更新conda
    千次阅读
    2019-07-12 15:29:54

    conda update -n base -c defaults conda

    更多相关内容
  • 更新conda

    千次阅读 2020-03-02 08:27:48
    1.更新conda:conda update -n base conda 更新第一遍,发现并不是最新版本,继续更新,再执行一遍 2.第二次更新conda:conda update -n base conda 第二次的时候时间会比较长,等着就行了,更新完之后,做什么都...

    1.更新conda:conda update -n base conda 更新第一遍,发现并不是最新版本,继续更新,再执行一遍
    2.第二次更新conda:conda update -n base conda 第二次的时候时间会比较长,等着就行了,更新完之后,做什么都方便

    摘抄自https://blog.csdn.net/the_time_runner/article/details/99848728

    展开全文
  • 【Anaconda3】更新conda的方法

    千次阅读 2020-07-23 16:34:34
    根据网上教程,先更新conda。 在Anaconda prompt 输入conda update,提示: conda update --prefix C:\Anaconda3 anaconda 按这条命令,更新conda环境。会更新非常多的包。更新完成后输入: conda update --...

    遇到一个报错:failed with initial frozen solve. Retrying with flexible solve.

    根据网上教程,先更新conda。

    在Anaconda prompt 输入conda update,提示:

    conda update --prefix C:\Anaconda3 anaconda

    按这条命令,更新conda环境。会更新非常多的包。更新完成后输入:

    conda update --all

     

    展开全文
  • <p><img alt="" src="https://pic3.zhimg.com/v2-2fee63df3e4635ed461d75ac4e1490be_b.png" /><img alt="preview" src="https://pic4.zhimg.com/v2-ee807c998a3b8430fc7660993dc581bb_r.jpg" /></p>
  • Anaconda通过conda update conda更新以后创建新环境,安装模块报错问题 有个包一直安不上,以为是Anaconda版本太久了,就用下面命令更新了一下 conda update conda 更新conda不能正常使用了,发生了创建新环境和...

    Anaconda通过conda update conda更新以后创建新环境,安装模块报错问题

    有个包一直安不上,以为是Anaconda版本太久了,就用下面命令更新了一下

    conda update conda
    

    更新完conda不能正常使用了,发生了创建新环境和安装模块就会报错的情况

    部分报错截图(完整报错点击这里)

    报错开头

    在这里插入图片描述

    报错末尾在这里插入图片描述

    解决办法

    1. 重装肯定是最简单的解决办法,但是那么多环境,都是好不容易配出来的,再配一次我能气到把键盘吃掉

    2. github/conda给出的一个方法,把conda回退到旧的可以用的版本

      conda config --set allow_conda_downgrades true
      conda install conda=4.6.14
      

      很多人好评

    3. 我试了一下,没有用,循环报错,install再次报错

      我需要正常的conda,但是没有正常的conda不能安装正常的conda

      所以,我到独立的正常conda可执行文件下载了一个win版本的可执行文件

      用可执行文件安装旧版本conda

      <executable path> install -p <path to broken installation> conda=4.6.14
      

      举个栗子,我是这样输入的

      在这里插入图片描述

    问题解决了,conda又能用了,这应该是最新版本conda 4.8的一个bug


    完整的报错

    Loading channels: failed
    
    # >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<
    
        Traceback (most recent call last):
          File "E:\Anaconda3\lib\site-packages\conda\gateways\connection\session.py", line 60,
     in __call__
            return cls._thread_local.session
        AttributeError: '_thread._local' object has no attribute 'session'
    
        During handling of the above exception, another exception occurred:
    
        Traceback (most recent call last):
          File "E:\Anaconda3\lib\site-packages\conda\exceptions.py", line 1079, in __call__
            return func(*args, **kwargs)
          File "E:\Anaconda3\lib\site-packages\conda\cli\main.py", line 84, in _main
            exit_code = do_call(args, p)
          File "E:\Anaconda3\lib\site-packages\conda\cli\conda_argparse.py", line 83, in do_ca
    ll
            return getattr(module, func_name)(args, parser)
          File "E:\Anaconda3\lib\site-packages\conda\cli\main_search.py", line 73, in execute
            matches = sorted(SubdirData.query_all(spec, channel_urls, subdirs),
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 105, in query_
    all
            result = tuple(concat(executor.map(subdir_query, channel_urls)))
          File "E:\Anaconda3\lib\concurrent\futures\_base.py", line 586, in result_iterator
            yield fs.pop().result()
          File "E:\Anaconda3\lib\concurrent\futures\_base.py", line 425, in result
            return self.__get_result()
          File "E:\Anaconda3\lib\concurrent\futures\_base.py", line 384, in __get_result
            raise self._exception
          File "E:\Anaconda3\lib\concurrent\futures\thread.py", line 57, in run
            result = self.fn(*self.args, **self.kwargs)
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 98, in <lambda
    >
            package_ref_or_match_spec))
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 110, in query
            self.load()
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 174, in load
            _internal_state = self._load()
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 248, in _load
            repodata_fn=self.repodata_fn)
          File "E:\Anaconda3\lib\site-packages\conda\core\subdir_data.py", line 470, in fetch_
    repodata_remote_request
            session = CondaSession()
          File "E:\Anaconda3\lib\site-packages\conda\gateways\connection\session.py", line 62,
     in __call__
            session = cls._thread_local.session = super(CondaSessionType, cls).__call__()
          File "E:\Anaconda3\lib\site-packages\conda\gateways\connection\session.py", line 88,
     in __init__
            raise_on_status=False)
        TypeError: __init__() got an unexpected keyword argument 'raise_on_status'
    
    `$ E:\Anaconda3\Scripts\conda-script.py search conda`
    
      environment variables:
                     CIO_TEST=<not set>
                    CLASSPATH=.;E:\jdk1.7\lib;E:\jdk1.7\lib\tools.jar
                    CONDA_EXE=E:\Anaconda3\condabin\..\Scripts\conda.exe
                   CONDA_EXES="E:\Anaconda3\condabin\..\Scripts\conda.exe"
                   CONDA_ROOT=E:\Anaconda3
               CURL_CA_BUNDLE=<not set>
                     HOMEPATH=\Users\Administrator
                         PATH=E:\Anaconda3;E:\Anaconda3\Library\mingw-w64\bin;E:\Anaconda3\Lib
    rary\u
                              sr\bin;E:\Anaconda3\Library\bin;E:\Anaconda3\Scripts;E:\Anaconda
    3\bin;
                              E:\Anaconda3;E:\Anaconda3\Library\mingw-w64\bin;E:\Anaconda3\Lib
    rary\u
                              sr\bin;E:\Anaconda3\Library\bin;E:\Anaconda3\Scripts;C:\Program
                              Files\Microsoft MPI\Bin\;C:\ProgramData\Oracle\Java\javapath;C:\
    Window
                              s\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System
    32\Win
                              dowsPowerShell\v1.0\;E:\adb;E:\tesseract\Tesseract-OCR;C:\Progra
    m
                              Files\dotnet\;C:\Program Files\Microsoft SQL
                              Server\130\Tools\Binn\;C:\Program Files\nodejs\;C:\Program
                              Files\Microsoft SQL Server\120\DTS\Binn\;C:\Program Files\Micros
    oft
                              SQL Server\Client SDK\ODBC\110\Tools\Binn\;C:\Program Files
                              (x86)\Microsoft SQL Server\120\Tools\Binn\;C:\Program Files\Micr
    osoft
                              SQL Server\120\Tools\Binn\;C:\Program Files (x86)\Microsoft SQL
                              Server\120\Tools\Binn\ManagementStudio\;C:\Program Files
                              (x86)\Microsoft SQL Server\120\DTS\Binn\;E:\tomcat\apache-tomcat
    -7.0.9
                              1\bin;E:\jdk1.7\bin;%JAVA%\bin;%JAVA%\jre\bin;E:\svn\bin;E:\AS\S
    DK\pla
                              tform-tools;E:\Git\cmd;E:\bvsshClient;E:\MiKTeX\MiKTeX
                              2.9\miktex\bin\x64\;E:\Sumatra PDF\SumatraPDF;E:\winscp\WinSCP\;
    C:\Use
                              rs\Administrator\AppData\Local\Programs\Python\Python36\Scripts\
    ;C:\Us
                              ers\Administrator\AppData\Local\Programs\Python\Python36\;C:\Pro
    gram
                              Files (x86)\Microsoft Visual Studio\Common\Tools\WinNT;C:\Progra
    m
                              Files (x86)\Microsoft Visual Studio\Common\MSDev98\Bin;C:\Progra
    m
                              Files (x86)\Microsoft Visual Studio\Common\Tools;C:\Program File
    s
                              (x86)\Microsoft Visual Studio\VC98\bin;E:\tesseract\Tesseract-OC
    R;C:\U
                              sers\Administrator\AppData\Roaming\npm;C:\Users\Administrator\Ap
    pData\
                              Local\GitHubDesktop\bin;E:\jdk1.7\bin;E:\jdk1.7\jre\bin;E:\apach
    e-
                              maven-3.6.0\bin;E:\sqlite;E:\Anaconda3\Library\bin;;E:\Pycharm\P
    yCharm
                              2020.1.1\bin;
                 PSMODULEPATH=C:\Windows\system32\WindowsPowerShell\v1.0\Modules\;C:\Program F
    iles
                              (x86)\Microsoft SQL Server\120\Tools\PowerShell\Modules\
           REQUESTS_CA_BUNDLE=<not set>
                SSL_CERT_FILE=<not set>
    
         active environment : None
           user config file : C:\Users\Administrator\.condarc
     populated config files : C:\Users\Administrator\.condarc
              conda version : 4.8.5
        conda-build version : 3.17.6
             python version : 3.7.1.final.0
           virtual packages :
           base environment : E:\Anaconda3  (writable)
               channel URLs : https://mirrors.ustc.edu.cn/anaconda/pkgs/free/win-64
                              https://mirrors.ustc.edu.cn/anaconda/pkgs/free/noarch
                              https://repo.anaconda.com/pkgs/main/win-64
                              https://repo.anaconda.com/pkgs/main/noarch
                              https://repo.anaconda.com/pkgs/r/win-64
                              https://repo.anaconda.com/pkgs/r/noarch
                              https://repo.anaconda.com/pkgs/msys2/win-64
                              https://repo.anaconda.com/pkgs/msys2/noarch
              package cache : E:\Anaconda3\pkgs
                              C:\Users\Administrator\.conda\pkgs
                              C:\Users\Administrator\AppData\Local\conda\conda\pkgs
           envs directories : E:\Anaconda3\envs
                              C:\Users\Administrator\.conda\envs
                              C:\Users\Administrator\AppData\Local\conda\conda\envs
                   platform : win-64
                 user-agent : conda/4.8.5 requests/2.7.0 CPython/3.7.1 Windows/7 Windows/6.1.7
    601
              administrator : True
                 netrc file : None
               offline mode : False
    
    
    An unexpected error has occurred. Conda has prepared the above report.
    
    If submitted, this report will be used by core maintainers to improve
    future releases of conda.
    Would you like conda to send this report to the core maintainers?
    
    [y/N]: n
    
    No report sent. To permanently opt-out, use
    
        $ conda config --set report_errors false
    
    
    展开全文
  • 以管理员身份启动Anaconda Prompt: conda(升级Anaconda前需要先升级conda):conda update conda ...更新包:conda update package 查询某个conda指令使用-h后缀,如conda update -h 作者:是东东 链接:http.
  • 文章目录一、更新conda版本二、conda瘦身 一、更新conda版本 示例:pandas 是基于NumPy 的一种工具,该工具是为了解决数据分析任务而创建的。 conda update -n base conda 二、conda瘦身 conda clean -p ...
  • 今晚使用conda创建虚拟环境失败。 报错如下: Collecting package metadata (current_repodata.json): failed CondaHTTPError: HTTP 000 CONNECTION FAILED for url <...
  • 如何更新 Anaconda 中的 conda

    千次阅读 2021-01-19 11:31:54
    更新 condaconda update conda conda 会列出可以更新的模块,以及哪些模块可以以依赖的形式更新Collecting package metadata (current_repodata.json): done Solving environment: done ## Package Plan ## ...
  • 各位,我想请教下,我在更新conda update scikit-learn的时候出错了: ERROR conda.core.link:_execute_actions(337): An error occurred while installing package 'defaults::tqdm-4.40.0-py_0'. CondaError: ...
  • 更新conda,安装tensorflow指定版本

    千次阅读 2020-05-12 18:33:36
  • 更新过程如下,使用命令conda update conda,清华镜像源。conda的版本比较老了,是2017年的,因为之前安装新版anaconda一直出现各种错误,只有2017年的版本能正常安装。所以现在想升级到最新版。另外下面系统提到的...
  • conda 命令更新版本

    千次阅读 2020-08-14 23:00:33
    cuda search tensorflow-gpu #查询 pip freeze#查看已经安装的package pip uninstall 库#卸载 ...conda update 模块名 conda create -n py34 python=3.4 anaconda #创建环境 source activate py34#激活
  • conda更新问题anacond

    2020-12-20 12:48:54
    我正在尝试在我的Mac上更新anaconda。当我运行命令conda update anaconda时,我得到以下输出The following packages will be downloaded:package | build---------------------------|-----------------conda-env...
  • 更新conda (base) yuanye@DNA:~/miniconda3$ cd (base) yuanye@DNA:~$ conda update -n base conda 出现选项时选择yes Proceed ([y]/n)? y 结束时出现以下内容 Preparing transaction: done Verifying ...
  • conda update 命令

    2022-04-14 10:17:21
    常用命令如下: 以管理员身份启动Anaconda Prompt 后, 升级conda(升级Anaconda前必需)...更新所有包:conda update --all 安装包:conda install package 更新包:conda update package 其他:conda update -h ...
  • 初在linux系统用conda
  • pip list 或者 conda list安装和更新:pip install requestspip install requests --upgrade或者conda install requestsconda update requests更新所有库conda update --all更新 conda 自身conda update conda更新 ...
  • 这几天一直在捣鼓服务器,安装软件配置...1. 更新源 下面提供了五种国内源,选择其一即可 (1)清华源 conda config --add channels https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/main conda config --ad
  • 请通过运行更新conda $ conda update -n base conda 执行事务:失败 ERROR conda.core.link:_execute(481):卸载软件包’defaults :: freetype-2.8-h51f8f2c_1’时发生错误。 PermissionError(13,‘访问被拒绝’...
  • 更新conda报错 CondaValueError: Malformed version string ‘~’: invalid character(s). conda -V 或 conda --version 查看conda版本 conda update conda 更新conda 更新conda时报错: CondaValueError: Malformed...
  • Conda虚拟环境更新pip方法

    千次阅读 2021-03-31 21:14:29
    Conda 更新pip方法 ###在用pip安装库时提醒: 使用命令: python -m pip install --upgrade pip 升级成功,但是升级的是本地的pip,使用conda依然出错,这是因为镜像中的pip依然没有升级 尝试使用网上的方法: conda ...
  • conda的安装与使用(2020-08-10更新

    千次阅读 2020-12-09 04:07:43
    2020-07-08 update:更新了底部洲更学长的软件安装课程,现在已经在B站免费观看了~欢迎小伙伴们素质三连~2020-06-14 update: 更新了mac用户的miniconda下载链接、更新了北外的镜像站点、修正了之...
  • conda安装或者更新的时候遇到condan solving environment failed condaHTTPerror: HTTP 000……错误: 往往是安装源的问题,运行如下代码重置源可以解决: conda config --remove-key channels 之后需要清华源,...
  • conda更新所有库及其他常用命令

    千次阅读 2020-09-12 10:24:57
    使用condaupdate --all命令,更新所有包, 在更新前会显示出更新的版本信息,需要用户确定,输入Y后继续更新,直到完成。 conda其他常用命令 查看已经安装的包: pip list或者conda list 安装和更新: pip ...
  • conda 速度慢 解决方案

    千次阅读 2021-11-24 18:11:57
    更新conda的版本,这是我遇到比较有用的; conda update -n base -c defaults conda 步骤二 换conda国内源,清华源、中科大、交大等等,这里选择其中一个即可。 2.1 清华源 conda换为清华源,执行如下...
  • #提示没有模型,说明没有...#2输入conda install natsort,会提示跟新conda,输入y跟新就行 #3安装成功,再次输入conda install natsort会提示包都安装成功(没有安装anaconda的把conda改成pip也可以安装) ...
  • Conda安装 Conda配置 查看现有的Conda环境 在终端输入conda info --env命令,即可查看现有的conda环境,其中带*的为当前环境 创建Conda环境 conda create -n envname 创建一个名为envname的conda环境 激活Conda环境 ...
  • conda 安装新的虚拟环境时报错: An unexpected error has occurred. Conda has prepared the above report. If submitted, this report will be used by core maintainers to improve future releases of conda. ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 23,192
精华内容 9,276
关键字:

更新conda

友情链接: RS_encode-decode.rar